#ifndef BARRIER_PROPERTIES_H
#define BARRIER_PROPERTIES_H
#include "common/json_util.h"

namespace zsy
{
    struct BarrierProperties
    {
        std::string sn;
        std::string name;
        uint8_t io{0};
        std::string platformScale;
        std::string soundColumn;
        std::string vidicon;
    };

    inline void from_json(const nlohmann::json &j, BarrierProperties &o)
    {
        PARSE_JSON(sn, o.sn);
        PARSE_JSON(name, o.name);
        PARSE_JSON(io, o.io);
        PARSE_JSON(platformScale, o.platformScale);
        PARSE_JSON(soundColumn, o.soundColumn);
        PARSE_JSON(vidicon, o.vidicon);
    }
}


#endif //BARRIER_PROPERTIES_H
